# This file was auto-generated by Fern from our API Definition.

from ..core.pydantic_utilities import UniversalBaseModel
import typing
import pydantic
import datetime as dt
from ..core.pydantic_utilities import IS_PYDANTIC_V2


class ModelResultInfo(UniversalBaseModel):
    """
    Extended model result schema with the plotly JSON.
    """

    output: typing.Dict[str, typing.Optional[typing.Any]] = pydantic.Field()
    """
    The output of the model.
    """

    id: str = pydantic.Field()
    """
    The UUID of the model result.
    """

    input_file_name: str = pydantic.Field()
    """
    The name of the input file.
    """

    input_file_size: int = pydantic.Field()
    """
    The size of the input file in bytes.
    """

    model: str = pydantic.Field()
    """
    The model used.
    """

    created_at: dt.datetime = pydantic.Field()
    """
    The UTC time the model result was created.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
