# This file was auto-generated by Fern from our API Definition.

from ..core.pydantic_utilities import UniversalBaseModel
import pydantic
import typing
import datetime as dt
from ..core.pydantic_utilities import IS_PYDANTIC_V2


class ModelResultMasked(UniversalBaseModel):
    """
    Model result schema with the input file masked.
    """

    id: str = pydantic.Field()
    """
    The UUID of the model result.
    """

    model: str = pydantic.Field()
    """
    The id of the model used.
    """

    output: typing.Dict[str, typing.Optional[typing.Any]] = pydantic.Field()
    """
    The output of the model.
    """

    created_at: dt.datetime = pydantic.Field()
    """
    The UTC time the model result was created.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
